Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://apigw.ipxo.com/nethub-data/{tenantUUID}/prefixes/metadata/array \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"notation": "string",
"items": [
{
"pathToArray": "string",
"elements": [
{}
],
"position": 0
}
]
}
]
'import requests
url = "https://apigw.ipxo.com/nethub-data/{tenantUUID}/prefixes/metadata/array"
payload = [
{
"notation": "string",
"items": [
{
"pathToArray": "string",
"elements": [{}],
"position": 0
}
]
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
notation: 'string',
items: [{pathToArray: 'string', elements: [{}], position: 0}]
}
])
};
fetch('https://apigw.ipxo.com/nethub-data/{tenantUUID}/prefixes/metadata/array', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"notation": "string",
"ipNet": {
"ip": "string",
"mask": "string"
},
"maskSize": 0,
"type": 0,
"holderMetadata": {
"key1": "value1",
"keyN": "valueN"
}
}
]{
"status": "string",
"code": 0,
"error": "string"
}{
"status": "string",
"code": 0,
"error": "string"
}{
"status": "string",
"code": 0,
"error": "string"
}{
"status": "string",
"code": 0,
"error": "string"
}This endpoint allows for the addition of array elements to the metadata arrays of existing prefix holders. If matching values already exist no action is performed.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Tenant UUID
Request payload for adding elements to metadata arrays.